%define dotests 1
Summary: X.Org X11 libfontenc runtime library
Name: libfontenc
Version: 1.1.3
Release: 1
License: MIT
Group: System Environment/Libraries
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: pkg-config
BuildRequires: zlib-devel >= 1.2.3-7
BuildRequires: xproto-devel

Requires: zlib >= 1.2.3-7
Requires: libgcc >= 6.3.0

%description
X.Org X11 libfontenc runtime library


%package devel
Summary: X.Org X11 libfontenc development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel >= 1.2.3-7

%description devel
X.Org X11 libfontenc development package


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="/usr/bin/ar -X32_64"
export NM="/usr/bin/nm -X32_64"

# first build the 64-bit version
export OBJECT_MODE=64
export CC="gcc -maix64"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"

./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static

make %{?_smp_mflags}

cp ./src/.libs/%{name}.so.1 .

if [ "%{dotests}" == 1 ]
    then
    ( gmake -k check || true )
    /usr/sbin/slibclean
 fi

make distclean

# now build the 32-bit version
export OBJECT_MODE=32
export CC="gcc -maix32 -D_LARGE_FILES"
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static

make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./src/.libs/%{name}.a ./%{name}.so.1

if [ "%{dotests}" == 1 ]
    then
         ( gmake -k check || true )
         /usr/sbin/slibclean
fi



%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING ChangeLog INSTALL README
%{_libdir}/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/X11/fonts/fontenc.h
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Sep 03 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> - 1.1.3-1
- Initial port on Aix 

